"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertElement = void 0;
const assertElement = async (pageOrFrame, selector, options) => {
    try {
        await pageOrFrame.waitForSelector(selector, options);
    }
    catch (error) {
        if (error.message.includes("waitForSelector: Timeout")) {
            throw new Error(`assertElement: "${selector}" not found`);
        }
        throw error;
    }
};
exports.assertElement = assertElement;
//# sourceMappingURL=assertElement.js.map