"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildTestCommand = void 0;
const commander_1 = require("commander");
const runTests_1 = __importDefault(require("./runTests"));
const buildTestCommand = () => {
    const command = new commander_1.Command("test")
        .description("🏃 Run QA Wolf tests assigned to the specified trigger")
        .requiredOption("-t, --trigger <id>", "id of the trigger to run")
        .option("-e, --env <env>", "environment variables to pass to your tests")
        .option("-n, --no-wait", "do not wait for the tests finish running")
        .option("-b, --branch <branch>", "the branch of tests to run")
        .action(async ({ branch, env, trigger: triggerId, wait }) => {
        await runTests_1.default({ branch, env, triggerId, wait });
    });
    return command;
};
exports.buildTestCommand = buildTestCommand;
//# sourceMappingURL=testCommand.js.map